#!/usr/bin/perl

#
# Perl script for making sure the correct product.js files are placed in
# the /srv/www/novell/welcome-novell/links directory, and that certain
# URLs that can be dynamically updated will be changed in the associated
# product.js file.
#
# Originally this script was going to do a lot of processing. But it has
# evolved to just run two system commands.
# 


$WELCOME_ROOT="/srv/www/novell/welcome-novell";
$INCLUDE_WRITER_JAR="$WELCOME_ROOT/lib/IncludeWriter.jar";
$PRODUCTS_FILE="$WELCOME_ROOT/config/products.xml";
$SRC_JS_DIR="$WELCOME_ROOT/config";
$DEST_JS_DIR="$WELCOME_ROOT/links";
$UPDATE_WP_LINKS_SCRIPT="/etc/opt/novell/httpd/scripts/wpupdatelinks.pl";

#
# Ignore any command-line arguments.
# 

# Run the command to copy the necessary product.js files to the links directory.
system( "java -jar $INCLUDE_WRITER_JAR $PRODUCTS_FILE $SRC_JS_DIR $DEST_JS_DIR" );
# Update the URLs for certain products whose URLs can be changed.
system( $UPDATE_WP_LINKS_SCRIPT );

# Done.
